<template name="fileUpload">
	<form enctype="multipart/form-data" novalidate
		  class="text-center file-upload{{#if (state 'supportsDragndrop')}} supports-dragndrop{{/if}}{{#if (state 'dragover')}} is-dragover{{/if}}">
		<input type="file" accept="{{accept}}" class="d-none" id="file" />
		<label for="file">
			<div class="mb-1"><i class="fa-regular fa-file-lines fa-5x" aria-hidden="true"></i>
			</div>
			{{#if (state 'dragover')}}
				<div class="file-upload-drop">
					{{i18n 'fileUpload.drop.text' "Drop it like it's hot!"}}
				</div>
			{{else}}
				{{#if (stateEquals 'progress' 'start')}}
					<strong>{{i18n 'fileUpload.choose.text' 'Choose a file'}}</strong>
					{{#if (state 'supportsDragndrop')}}
						<span
							  class="file-upload-dragndrop">{{i18n 'fileUpload.drag.text' 'or drag it here'}}</span>
					{{/if}}
				{{/if}}
				{{#if (stateEquals 'progress' 'uploading')}}
					<div class="file-upload-uploading">
						{{i18n 'fileUpload.uploading.text' 'Uploading…'}}
					</div>
				{{/if}}
				{{#if (stateEquals 'progress' 'ready')}}
					{{fileName}}
				{{/if}}
			{{/if}}
		</label>
	</form>
	{{#if (stateEquals 'progress' 'ready')}}
		<div class='file-upload-controls'>
			{{> buttonSave event="js-file-upload-upload"}}
			{{> buttonCancel event="js-file-upload-cancel"}}
		</div>
	{{/if}}
</template>
